# $Revision: 1.30 $, $Date: 2011/04/06 09:02:22 $
Summary:	A GTK+ viewer to view MathML documents
Summary(pl.UTF-8):	Przeglądarka dokumentów MathML dla GTK+
Name:		gtkmathview
Version:	0.8.0
Release:	8
License:	LGPL v3+
Group:		X11/Applications/Graphics
Source0:	http://helm.cs.unibo.it/mml-widget/sources/%{name}-%{version}.tar.gz
# Source0-md5:	b53564e553728d4b69f7d366dfeb5299
Patch0:		%{name}-no_static_viewer.patch
Patch1:		%{name}-gcc.patch
Patch2:		gcc44.patch
URL:		http://helm.cs.unibo.it/mml-widget/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gdome2-cpp_smart-devel >= 0.1.8
BuildRequires:	gtk+2-devel >= 1:2.10.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	t1lib-x-devel >= 1.2
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		skip_post_check_so	libmathview_backend_gtk.so.%{version} libmathview_backend_svg.so.%{version} libmathview_backend_ps.so.%{version}

%description
GtkMathView is a GTK+ Widget for rendering MathML documents.

%description -l pl.UTF-8
GtkMathView jest przeglądarką MathML dla GTK+.

%package libs
Summary:	A GTK+ Widget for rendering MathML documents
Summary(pl.UTF-8):	Biblioteki GTK+ Widget do renderowania dokumentów MathML
Group:		Development/Libraries
Requires:	gdome2-cpp_smart >= 0.1.8
Requires:	gtk+2 >= 2:2.10.0

%description libs
GTK+ Widgets for rendering MathML documents.

%description libs -l pl.UTF-8
Biblioteki GTK+ Widget do renderowania dokumentów MathML.

%package devel
Summary:	A GTK+ Widget for rendering MathML documents - header files
Summary(pl.UTF-8):	Biblioteki GTK+ Widget do renderowania dokumentów MathML - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gdome2-cpp_smart-devel >= 0.1.8
Requires:	gtk+2-devel >= 2:2.10.0
Requires:	libxml2-devel >= 1:2.6.26

%description devel
Header files for GTK+ Widgets for rendering MathML documents.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla GTK+ Widget do renderowania dokumentów MathML.

%package static
Summary:	A GTK+ Widget for rendering MathML documents - static library
Summary(pl.UTF-8):	Biblioteki GTK+ Widget do renderowania dokumentów MathML - wersja statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version libraries for GTK+ for rendering MathML documents.

%description static -l pl.UTF-8
Wersja statyczna bibliotek dla GTK+ do renderowania dokumentów MathML.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# AM_BINRELOC missing, just ignore
echo 'AC_DEFUN([AM_BINRELOC], [])' > acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-libxml2 \
	--enable-stats \
	--with-t1lib
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ANNOUNCEMENT AUTHORS BUGS CONTRIBUTORS ChangeLog HISTORY LICENSE NEWS README TODO
%attr(755,root,root) %{_bindir}/mathmlps
%attr(755,root,root) %{_bindir}/mathmlsvg
%attr(755,root,root) %{_bindir}/mathmlviewer
%{_mandir}/man1/math*.1*
%{_datadir}/%{name}

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_sysconfdir}/gtkmathview
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gtkmathview/gtkmathview.conf.xml

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_pkgconfigdir}/*.pc
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtkmathview.spec,v $
Revision 1.30  2011/04/06 09:02:22  wiget
- drop libtool files
- rel. 8

Revision 1.29  2010/11/20 14:41:40  hawk
- added required skip_post_check_so

Revision 1.28  2010/11/20 14:21:46  hawk
- release 6

Revision 1.27  2010/02/06 00:36:23  sparky
- dropped unused BR: libxslt-progs

Revision 1.26  2010/02/05 15:21:35  sls
- added gcc44.patch
- rel. 5

Revision 1.25  2008/12/07 20:11:35  hawk
- release 4

Revision 1.24  2008/11/11 14:58:44  arekm
- rel 3

Revision 1.23  2008/11/11 12:09:20  arekm
- release 2

Revision 1.22  2008-01-13 13:13:19  qboosh
- uses libt1x, so updated BR to t1lib-x-devel

Revision 1.21  2007/11/03 18:11:13  qboosh
- updated to 0.8.0 (LGPL v3+ now)

Revision 1.20  2007/06/16 08:11:12  qboosh
- updated to 0.7.8
- updated no_static_viewer patch

Revision 1.19  2007/06/14 18:19:59  arekm
- rel 2

Revision 1.18  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.16  2006/12/09 21:03:41  qboosh
- updated to 0.7.7, proper fix for AM_BINRELOC
- BR: popt-devel for apps

Revision 1.15  2006/07/13 17:21:22  freetz
- rel.3, updated deps, --as-needed for LDFLAGS

Revision 1.14  2006/06/11 16:40:40  freetz
- rel.2, bleeding edge deps

Revision 1.13  2005/12/07 11:11:37  freetz
- 0.7.6

Revision 1.12  2005/10/10 15:49:21  freetz
- 0.7.5

Revision 1.11  2005/10/10 15:05:00  freetz
- 0.7.4, no_static_viewer patch added, %%files update

Revision 1.10  2005/02/21 23:30:12  qboosh
- release 1 (although viewer doesn't seem to work for me... but 0.6.3 does the same)

Revision 1.9  2005/02/20 17:06:52  qboosh
- don't package mathml2ps(1) manual for non-existing utility

Revision 1.8  2005/02/14 23:36:25  qboosh
- added link patch

Revision 1.7  2005/02/13 22:57:35  qboosh
- updated to 0.6.4, some deps fixes

Revision 1.6  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.5  2004/10/28 09:58:31  paladine
- "GTK+" unification (hope thats all)

Revision 1.4  2004/08/31 20:52:28  qboosh
- cosmetics, BR: pkgconfig

Revision 1.3  2004/08/30 21:45:26  undefine
- ups, md5 :)

Revision 1.2  2004/08/30 21:27:20  undefine
- ups, perms on %{_bindir} :)

Revision 1.1  2004/08/30 21:26:41  undefine
- initital pld version based partialy on included spec
